components:
  schemas:
    ManagerNetworkProtocol_v1_3_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    ManagerNetworkProtocol_v1_3_0_ManagerNetworkProtocol:
      additionalProperties: false
      description: This resource is used to obtain or modify the network services
        managed by a given manager.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.v4_0_3.yaml#/components/schemas/odata_v4_0_3_type
        Actions:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
        DHCP:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's DHCPv4 protocol support.
          x-longDescription: This object shall contain information for the DHCPv4
            protocol settings for the manager.
        DHCPv6:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's DHCPv6 protocol support.
          x-longDescription: This object shall contain information for the DHCPv6
            protocol settings for the manager.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        FQDN:
          description: This is the fully qualified domain name for the manager obtained
            by DNS including the host name and top-level domain name.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall contain the fully qualified
            domain name for the manager.
        HTTP:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's HTTP protocol support.
          x-longDescription: This object shall contain information for the HTTP protocol
            settings for the manager. The default value of the Port property should
            be 80 for compatibility with established client implementations.
        HTTPS:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's HTTPS protocol support.
          x-longDescription: This object shall contain information for the HTTPS/SSL
            protocol settings for this manager. The default value of the Port property
            should be 443 for compatibility with established client implementations.
        HostName:
          description: The DNS Host Name of this manager, without any domain information.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: The value of this property shall contain the host name
            without any domain information.
        IPMI:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's IPMI-over-LAN protocol support.
          x-longDescription: This object shall contain information for the IPMI over
            LAN protocol settings for the manager. The default value of the Port property
            should be 623 for compatibility with established client implementations.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        KVMIP:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's KVM-IP protocol support.
          x-longDescription: This object shall contain information for the KVM-IP
            (Keyboard, Video, Mouse) protocol settings for the manager.
        NTP:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_NTPProtocol'
          description: Settings for this Manager's NTP protocol support.
          x-longDescription: This object shall contain information for the NTP protocol
            settings for the manager.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        RDP:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's Remote Desktop Protocol support.
          x-longDescription: This object shall contain information for the Remote
            Desktop Protocol settings for the manager.
        RFB:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's Remote Frame Buffer protocol support,
            which can be used to support VNC.
          x-longDescription: This object shall contain information for the Remote
            Frame Buffer protocol settings for the manager.
        SNMP:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's SNMP support.
          x-longDescription: This object shall contain information for the SNMP protocol
            settings for this manager. The default value of the Port property should
            be 161 for compatibility with established client implementations.
        SSDP:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_SSDProtocol'
          description: Settings for this Manager's SSDP support.
          x-longDescription: This object shall contain information for the SSDP protocol
            settings for this manager.  Simple Service Discovery Protocol (SSDP) is
            for network discovery of devices supporting the Redfish service. The default
            value of the Port property should be 1900 for compatibility with established
            client implementations.
        SSH:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's SSH (Secure Shell) protocol support.
          x-longDescription: This object shall contain information for the SSH protocol
            settings for the manager. The default value of the Port property should
            be 22 for compatibility with established client implementations.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: This property describes the status and health of the resource
            and its children.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
        Telnet:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's Telnet protocol support.
          x-longDescription: This object shall contain information for the Telnet
            protocol settings for this manager. The default value of the Port property
            should be 23 for compatibility with established client implementations.
        VirtualMedia:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_Protocol'
          description: Settings for this Manager's Virtual Media support.
          x-longDescription: This object shall contain information for the Virtual
            Media protocol settings for this manager. The value of the Port property
            shall contain the TCP port assigned for Virtual Media usage.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This object shall be used to represent the network service
        settings for the manager.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    ManagerNetworkProtocol_v1_3_0_NTPProtocol:
      additionalProperties: false
      description: Settings for a network protocol associated with a manager.
      properties:
        NTPServers:
          description: Indicates to which NTP servers this manager is subscribed.
          items:
            nullable: true
            type: string
          readOnly: false
          type: array
          x-longDescription: The value of this property shall contain all the NTP
            servers for which this manager is using to obtain time.
        Port:
          description: Indicates the protocol port.
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall contain the port assigned
            for the protocol.
        ProtocolEnabled:
          description: Indicates if the protocol is enabled or disabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: The value of this property shall contain the enabled
            status of the protocol.  The value shall be true if enabled and false
            if disabled.
      type: object
      x-longDescription: This type shall describe information about a protocol setting
        for a manager.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    ManagerNetworkProtocol_v1_3_0_NotifyIPv6Scope:
      enum:
      - Link
      - Site
      - Organization
      type: string
      x-enumDescriptions:
        Link: SSDP Notify messages are sent to addresses in the IPv6 Local Link scope.
        Organization: SSDP Notify messages are sent to addresses in the IPv6 Local
          Organization scope.
        Site: SSDP Notify messages are sent to addresses in the IPv6 Local Site scope.
    ManagerNetworkProtocol_v1_3_0_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    ManagerNetworkProtocol_v1_3_0_Protocol:
      additionalProperties: false
      description: Settings for a network protocol associated with a manager.
      properties:
        Port:
          description: Indicates the protocol port.
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall contain the port assigned
            for the protocol.
        ProtocolEnabled:
          description: Indicates if the protocol is enabled or disabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: The value of this property shall contain the enabled
            status of the protocol.  The value shall be true if enabled and false
            if disabled.
      type: object
      x-longDescription: This type shall describe information about a protocol setting
        for a manager.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    ManagerNetworkProtocol_v1_3_0_SSDProtocol:
      additionalProperties: false
      description: Settings for a network protocol associated with a manager.
      properties:
        NotifyIPv6Scope:
          $ref: '#/components/schemas/ManagerNetworkProtocol_v1_3_0_NotifyIPv6Scope'
          description: Indicates the scope for the IPv6 Notify messages for SSDP.
          nullable: true
          readOnly: false
          x-longDescription: The value of this property shall contain the IPv6 scope
            used for multicast NOTIFY messages.  The valid enumerations are a subset
            of the available IPv6 Scope types.
        NotifyMulticastIntervalSeconds:
          description: Indicates how often the Multicast is done from this service
            for SSDP.
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall contain the time interval,
            in seconds, between transmissions of the multicast NOTIFY ALIVE message.  A
            setting of 0 seconds shall disable this functionality.  The recommended
            value is 600 seconds.
          x-units: s
        NotifyTTL:
          description: Indicates the time to live hop count for SSDPs Notify messages.
          minimum: 1
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall contain the Time-To-Live
            hop count used for multicast NOTIFY messages.  The recommended value is
            2.
        Port:
          description: Indicates the protocol port.
          minimum: 0
          nullable: true
          readOnly: false
          type: integer
          x-longDescription: The value of this property shall contain the port assigned
            for the protocol.
        ProtocolEnabled:
          description: Indicates if the protocol is enabled or disabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: The value of this property shall contain the enabled
            status of the protocol.  The value shall be true if enabled and false
            if disabled.
      type: object
      x-longDescription: This type shall describe information about a protocol setting
        for a manager.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
title: '#ManagerNetworkProtocol.v1_3_0.ManagerNetworkProtocol'
x-copyright: Copyright 2014-2018 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
